Summary: Funky application launcher
Name: gnome-launch-box
Version: 0.4
Release: 6%{?dist}
License: GPL
Group: Applications/Internet
URL: http://developer.imendio.com/projects/gnome-launch-box
Source0: http://ftp.imendio.com/pub/imendio/%{name}/src/%{name}-%{version}.tar.bz2
Source1: gnome-launch-box.desktop

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): GConf2
Requires(preun): GConf2
Requires: GConf2
Requires: control-center-filesystem
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: evolution-data-server-devel >= 1.8.0
BuildRequires: gnome-menus-devel >= 2.16.0
BuildRequires: libgnomeui-devel >= 2.16.0
BuildRequires: gnome-desktop-devel >= 2.16.0
BuildRequires: gnome-vfs2-devel, GConf2-devel
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: control-center-devel >= 2.19.1

# https://bugzilla.redhat.com/show_bug.cgi?id=440192
# http://developer.imendio.com/issues/browse/GLB-41
Patch0: glb-change-default-kbd.patch

%description
Launch Box is an application launcher, heavily influenced by Quicksilver
for Mac OS X.

%prep
%setup -q
%patch0 -p0 -b .def-shortcut

%build
%configure --datadir=%{_datadir}/%{name}
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
install -m0755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/gnome-launch-box.desktop

%find_lang %{name}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-launch-box.schemas >& /dev/null

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-launch-box.schemas >& /dev/null
fi

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS README TODO COPYING
%{_sysconfdir}/gconf/schemas/gnome-launch-box.schemas
%{_sysconfdir}/xdg/autostart/*
%{_bindir}/gnome-launch-box
%{_datadir}/gnome-launch-box
%{_datadir}/gnome-control-center/keybindings/90-gnome-launch-box.xml

%changelog
* Wed Apr 02 2008 - Bastien Nocera <bnocera@redhat.com> - 0.4-6
- Change default shortcut to not conflict with metacity (#440192)

* Sun Oct 21 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-5
- Fix autolauncher missing a description (#344381)

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.4-4
- Rebuild for build ID

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-3
- Add an autolauncher

* Sat Jul  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.4-2
- Require control-center-filesystem

* Tue Jul 03 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-1
- Update to 0.4
- Add the control-center as a BR to get the keybindings integration

* Fri Mar 16 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- First post!

